x = 1;
N = 17;
h = 1; 
hvals = zeros(1,N); 
dfbydx = hvals;

for i = 1:N
  h = h/10; 
  hvals(i) = h; 
  dfbydx(i) = (f01(x+h) - f01(x))/h;
end;

exact = f01d(x); 
loglog(hvals, abs(dfbydx-exact)/exact, '*', 'MarkerSize', 8);
axis([1e-18 1 1e-8 5])
xlabel('h value'); 
ylabel('error in approximation');
grid
